> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate subnets for ASN

> Validates which subnets can be added to cart with the given ASN



## OpenAPI

````yaml openapi/billing.yaml post /v1/{tenantUUID}/asn/validate/{asn}
openapi: 3.0.1
info:
  title: Billing API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/billing
security:
  - bearerAuth: []
paths:
  /v1/{tenantUUID}/asn/validate/{asn}:
    post:
      tags:
        - Common
      summary: Validate subnets for ASN
      description: Validates which subnets can be added to cart with the given ASN
      operationId: API-Pub-Tenant-ASN-ValidateSubnets
      parameters:
        - name: tenantUUID
          in: path
          description: Tenant UUID
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - name: asn
          in: path
          description: ASN
          required: true
          schema:
            type: object
            properties:
              asn:
                type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/API.Pub.Requests.ASN.TenantASNValidateRequest
            example:
              subnets:
                - string
      responses:
        '200':
          description: Subnet validation results
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/API.Pub.Resources.ASN.ASNValidationResultsResource
              example:
                asn: 0
                valid: true
                as_name: string
                uce3: true
                ofac: true
                spamhaus: true
                country: string
                status: string
                subnets:
                  - subnet: string
                    already_added: true
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: ASN Not Found
        '422':
          description: Validation Error
components:
  schemas:
    UUID:
      pattern: >-
        ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$
      type: string
      description: UUID
    API.Pub.Requests.ASN.TenantASNValidateRequest:
      required:
        - subnets
      type: object
      properties:
        subnets:
          type: array
          items:
            type: string
    API.Pub.Resources.ASN.ASNValidationResultsResource:
      type: object
      properties:
        asn:
          type: integer
        valid:
          type: boolean
        as_name:
          type: string
        uce3:
          type: boolean
        ofac:
          type: boolean
        spamhaus:
          type: boolean
        country:
          type: string
        status:
          type: string
        subnets:
          type: array
          items:
            type: object
            properties:
              subnet:
                type: string
              already_added:
                type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````